RINT(3)

NAME
nearbyint, nearbyintf, rint, rintf - round to integral value in floating-point format

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
nearbyint(double x);
float
nearbyintf(float x);
double
rint(double x);
float
rintf(float x);

DESCRIPTION
The rint() and the rintf() functions return the integral value nearest to x according to the prevailing rounding mode. These functions raise an inexact exception when the original argument is not an exact integer.

The nearbyint() and nearbyintf() functions perform the same operation, except that they do not raise an inexact exception.

SEE ALSO
abs(3), ceil(3), fabs(3), fenv(3), floor(3), ieee(3), lrint(3), lround(3), math(3), round(3)

STANDARDS
The nearbyint(), nearbyintf(), rint(), and rintf() functions conform to isoC-99.

HISTORY
A rint() function appeared in AT&T UNIX. The nearbyint() and nearbyintf() functions appeared in FreeBSD 5.3.